#!/usr/bin/gnuplot

set colors classic
#set term x11

nm = 1.e-9  # m

set xl "lambda [nm]"
set yl "I_lambda [] (shifted by dataset number)"

set yr [0.5:]
set ytics 0.25
set mytics 1
set grid ytics mytics
set zeroaxis
set nokey
set bar 0.5

ang = 1.e-10/nm
call "line.plt" "Hα"     6563
call "line.plt" "Hβ"     4861
call "line.plt" "Hγ"     4341
call "line.plt" "Hδ"     4102
call "line.plt" "Hε"     3970
call "line.plt" "HeI"    4009
call "line.plt" "HeI"    4026
call "line.plt" "HeI"    4120
call "line.plt" "HeI"    4143
call "line.plt" "HeI"    4387
call "line.plt" "HeI"    4471
call "line.plt" "HeI"    4713
call "line.plt" "HeI"    4922
call "line.plt" "HeI"    5016
call "line.plt" "HeI"    5047
call "line.plt" "HeI"    5876
call "line.plt" "HeI"    6678
call "line.plt" "CII"    4267
call "line.plt" "CII"    6578
call "line.plt" "CII"    6582
call "line.plt" "MgII"   4481
call "line.plt" "SiII"   4128
call "line.plt" "SiII"   4130
call "line.plt" "SiII"   6347
call "line.plt" "SiII"   6371
call "line.plt" "NeI"    6402

set cbl "gf"
set colorbox

fac=0.25

p \
  "Spectra_nooutliers.dat" u ($2/nm):($3+fac*($5-1)):4 w err lc 'blue',\
  "Spectra_outliers.dat"   u ($2/nm):($3+fac*($5-1)):4 w err lc 'cyan',\
  "Spectra_outliers.dat"   u ($2/nm):($3+fac*($5-1)) w p pt 6 ps 2 lc 'red'

pa -1

set term png small
set out "Spectra.png"
rep

q



